summaryrefslogtreecommitdiff
path: root/include/inject.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-11 00:34:53 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-11 00:39:01 +0100
commit0cc816167bb7f95c1722a640066933bfdf38dd60 (patch)
tree373121b2880dbb0cec4966e697f8aa4a05f6859b /include/inject.sh
parent7d90d43425251f94adced76512310a59f2fac4dd (diff)
vendor.sh: split up setvfile()
split the actual bootstrapping to getvfile() setvfile only sets the config, but then it will call getvfile() to act on that config. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/inject.sh')
-rw-r--r--include/inject.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 6d910b7c..d3ea78f7 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -113,7 +113,7 @@ readkconfig()
x_ rm -f "$xbmktmp/cbcfg"
fx_ scankconfig x_ find "$boarddir/config" -type f
eval "`setcfg "$xbmktmp/cbcfg" 1`"
- setvfile "$@" && return 1; :
+ setvfile "$@" || return 1; :
}
scankconfig()